/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Component.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Component::set_component"
  void Component::set_component (Component * component
#ifdef POSITION
				,uint32_t   pos_x  
				,uint32_t   pos_y  
				,uint32_t   size_x 
				,uint32_t   size_y 
#endif
				 )
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    Entity * entity = component->_entity;

    _list_component->push_back(entity);

#ifdef POSITION
    entity->mapping( pos_x, pos_y, size_x, size_y);
#endif

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
